Index: src/UIElements/TextUI/Query/AtomTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/AtomTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/AtomTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -51,5 +51,5 @@
 TextDialog::AtomTextQuery::~AtomTextQuery() {}
 
-bool TextDialog::AtomTextQuery::handle() {
+void TextDialog::AtomTextQuery::handle() {
   int idxOfAtom=-1;
   bool badInput = false;
@@ -74,5 +74,5 @@
   } while(badInput);
   std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-  return (idxOfAtom!=-1);
+  handleSuccess = (idxOfAtom!=-1);
 }
 
Index: src/UIElements/TextUI/Query/AtomsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/AtomsTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/AtomsTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -52,5 +52,5 @@
 TextDialog::AtomsTextQuery::~AtomsTextQuery() {}
 
-bool TextDialog::AtomsTextQuery::handle() {
+void TextDialog::AtomsTextQuery::handle() {
   int idxOfAtom=-1;
   std::cout << getDescription() << ": ";
@@ -83,5 +83,5 @@
   }
 
-  return (idxOfAtom!=-1);
+  handleSuccess = (idxOfAtom!=-1);
 }
 
Index: src/UIElements/TextUI/Query/BooleanTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/BooleanTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/BooleanTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -49,5 +49,5 @@
 TextDialog::BooleanTextQuery::~BooleanTextQuery() {}
 
-bool TextDialog::BooleanTextQuery::handle() {
+void TextDialog::BooleanTextQuery::handle() {
   bool badInput = false;
   char input = ' ';
@@ -69,5 +69,5 @@
   // clear the input buffer of anything still in the line
   std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/DoubleTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/DoubleTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/DoubleTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -49,5 +49,5 @@
 TextDialog::DoubleTextQuery::~DoubleTextQuery() {}
 
-bool TextDialog::DoubleTextQuery::handle() {
+void TextDialog::DoubleTextQuery::handle() {
   bool badInput = false;
   do{
@@ -63,5 +63,5 @@
   }while(badInput);
   std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/DoublesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/DoublesTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/DoublesTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -49,5 +49,5 @@
 TextDialog::DoublesTextQuery::~DoublesTextQuery() {}
 
-bool TextDialog::DoublesTextQuery::handle() {
+void TextDialog::DoublesTextQuery::handle() {
   std::cout << getDescription() << ": ";
   std::string line;
@@ -70,5 +70,5 @@
   }
 
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/ElementTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -53,5 +53,5 @@
 {}
 
-bool TextDialog::ElementTextQuery::handle() {
+void TextDialog::ElementTextQuery::handle() {
   bool badInput=false;
   bool aborted = false;
@@ -107,5 +107,5 @@
   }while(badInput);
   std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-  return !aborted;
+  handleSuccess = !aborted;
 }
 
Index: src/UIElements/TextUI/Query/ElementsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -57,5 +57,5 @@
 {}
 
-bool TextDialog::ElementsTextQuery::handle() {
+void TextDialog::ElementsTextQuery::handle() {
   std::string shorthand;
   int Z=-1;
@@ -99,5 +99,5 @@
   }
 
-  return (Z!=-1);
+  handleSuccess = (Z!=-1);
 }
 
Index: src/UIElements/TextUI/Query/EmptyTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/EmptyTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/EmptyTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -49,7 +49,7 @@
 TextDialog::EmptyTextQuery::~EmptyTextQuery() {}
 
-bool TextDialog::EmptyTextQuery::handle() {
+void TextDialog::EmptyTextQuery::handle() {
   cout << "Message of " << getTitle() << ":\n" << getDescription() << "\n";
-  return true;
+  return;
 }
 
Index: src/UIElements/TextUI/Query/FileTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/FileTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/FileTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -52,5 +52,5 @@
 TextDialog::FileTextQuery::~FileTextQuery() {}
 
-bool TextDialog::FileTextQuery::handle() {
+void TextDialog::FileTextQuery::handle() {
   bool badInput = false;
   do{
@@ -67,5 +67,5 @@
   } while(badInput);
   std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/FilesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/FilesTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/FilesTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -52,5 +52,5 @@
 TextDialog::FilesTextQuery::~FilesTextQuery() {}
 
-bool TextDialog::FilesTextQuery::handle() {
+void TextDialog::FilesTextQuery::handle() {
   bool badInput = false;
   bool continueflag = true;
@@ -78,5 +78,5 @@
   } while(continueflag);
   std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/IntTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/IntTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/IntTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -49,5 +49,5 @@
 TextDialog::IntTextQuery::~IntTextQuery() {}
 
-bool TextDialog::IntTextQuery::handle() {
+void TextDialog::IntTextQuery::handle() {
   bool badInput = false;
   do{
@@ -64,5 +64,5 @@
   // clear the input buffer of anything still in the line
   std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/IntsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/IntsTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/IntsTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -49,5 +49,5 @@
 TextDialog::IntsTextQuery::~IntsTextQuery() {}
 
-bool TextDialog::IntsTextQuery::handle() {
+void TextDialog::IntsTextQuery::handle() {
   std::cout << getDescription() << ": ";
   std::string line;
@@ -70,5 +70,5 @@
   }
 
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/KeyValuePairTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/KeyValuePairTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/KeyValuePairTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -50,8 +50,8 @@
 TextDialog::KeyValuePairTextQuery::~KeyValuePairTextQuery() {}
 
-bool TextDialog::KeyValuePairTextQuery::handle() {
+void TextDialog::KeyValuePairTextQuery::handle() {
   std::cout << getDescription() << ": ";
   getline(std::cin,temp);
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/KeyValuePairsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/KeyValuePairsTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/KeyValuePairsTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -50,5 +50,5 @@
 TextDialog::KeyValuePairsTextQuery::~KeyValuePairsTextQuery() {}
 
-bool TextDialog::KeyValuePairsTextQuery::handle() {
+void TextDialog::KeyValuePairsTextQuery::handle() {
   std::cout << getDescription() << ": ";
   std::string temp_element;
@@ -65,5 +65,5 @@
     temp.push_back(std::string(olditer, temp_element.end()));
 
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/MoleculeTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/MoleculeTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/MoleculeTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -52,5 +52,5 @@
 TextDialog::MoleculeTextQuery::~MoleculeTextQuery() {}
 
-bool TextDialog::MoleculeTextQuery::handle() {
+void TextDialog::MoleculeTextQuery::handle() {
   int idxOfMol=0;
   bool badInput = false;
@@ -75,5 +75,5 @@
   } while(badInput);
   std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-  return (idxOfMol!=-1);
+  handleSuccess = (idxOfMol!=-1);
 }
 
Index: src/UIElements/TextUI/Query/MoleculesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/MoleculesTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/MoleculesTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -52,5 +52,5 @@
 TextDialog::MoleculesTextQuery::~MoleculesTextQuery() {}
 
-bool TextDialog::MoleculesTextQuery::handle() {
+void TextDialog::MoleculesTextQuery::handle() {
   int idxOfMol=-1;
   std::cout << getDescription() << ": ";
@@ -83,5 +83,5 @@
   }
 
-  return (idxOfMol!=-1);
+  handleSuccess = (idxOfMol!=-1);
 }
 
Index: src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -51,5 +51,5 @@
 {}
 
-bool TextDialog::RealSpaceMatrixTextQuery::handle() {
+void TextDialog::RealSpaceMatrixTextQuery::handle() {
   std::cout << getTitle();
 
@@ -70,5 +70,5 @@
   temp.set(2,1, dtemp[4]);
   temp.set(2,2, dtemp[5]);
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/StringTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/StringTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/StringTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -49,8 +49,8 @@
 TextDialog::StringTextQuery::~StringTextQuery() {}
 
-bool TextDialog::StringTextQuery::handle() {
+void TextDialog::StringTextQuery::handle() {
   std::cout << getDescription() << ": ";
   getline(std::cin,temp);
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/StringsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/StringsTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/StringsTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -49,5 +49,5 @@
 TextDialog::StringsTextQuery::~StringsTextQuery() {}
 
-bool TextDialog::StringsTextQuery::handle() {
+void TextDialog::StringsTextQuery::handle() {
   std::cout << getDescription() << ": ";
   std::string temp_element;
@@ -64,5 +64,5 @@
     temp.push_back(std::string(olditer, temp_element.end()));
 
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/TextQuery.hpp
===================================================================
--- src/UIElements/TextUI/Query/TextQuery.hpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/TextQuery.hpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -21,5 +21,5 @@
   EmptyTextQuery(const std::string &_title, const std::string &_description = NULL);
   virtual ~EmptyTextQuery();
-  virtual bool handle();
+  virtual void handle();
 };
 
@@ -28,5 +28,5 @@
   VectorTextQuery(Parameter<Vector> &_param, const std::string &_title, const std::string &_description = "");
   virtual ~VectorTextQuery();
-  virtual bool handle();
+  virtual void handle();
 };
 
@@ -35,5 +35,5 @@
   VectorsTextQuery(Parameter< std::vector<Vector> > &_param, const std::string &_title, const std::string &_description = "");
   virtual ~VectorsTextQuery();
-  virtual bool handle();
+  virtual void handle();
 };
 
Index: src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -49,5 +49,5 @@
 TextDialog::UnsignedIntTextQuery::~UnsignedIntTextQuery() {}
 
-bool TextDialog::UnsignedIntTextQuery::handle() {
+void TextDialog::UnsignedIntTextQuery::handle() {
   bool badInput = false;
   do{
@@ -64,5 +64,5 @@
   // clear the input buffer of anything still in the line
   std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/UnsignedIntsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/UnsignedIntsTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/UnsignedIntsTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -49,5 +49,5 @@
 TextDialog::UnsignedIntsTextQuery::~UnsignedIntsTextQuery() {}
 
-bool TextDialog::UnsignedIntsTextQuery::handle() {
+void TextDialog::UnsignedIntsTextQuery::handle() {
   std::cout << getDescription() << ": ";
   std::string line;
@@ -70,5 +70,5 @@
   }
 
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/VectorTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/VectorTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/VectorTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -53,5 +53,5 @@
 {}
 
-bool TextDialog::VectorTextQuery::handle() {
+void TextDialog::VectorTextQuery::handle() {
   std::cout << getDescription() << std::endl;
   const RealSpaceMatrix &M = World::getInstance().getDomain().getM();
@@ -83,5 +83,5 @@
 
   // check vector
-  return true;
+  handleSuccess = true;
 }
 
Index: src/UIElements/TextUI/Query/VectorsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/VectorsTextQuery.cpp	(revision f79d65a94e2c55cb0c7fb07298fa568980dbf8d4)
+++ src/UIElements/TextUI/Query/VectorsTextQuery.cpp	(revision f4b6bc98663e1316494422d1b592f84914e77d64)
@@ -54,5 +54,5 @@
 {}
 
-bool TextDialog::VectorsTextQuery::handle() {
+void TextDialog::VectorsTextQuery::handle() {
   std::stringstream output;
   std::cout << getDescription() << std::endl;
@@ -83,5 +83,5 @@
   }
 
-  return true;
+  handleSuccess = true;
 }
 
